
#include "LCDisplayI2C.h"

CLCDisplayI2C LCDisplayI2C(0x27, 20, 4);

void setup() 
{
  Serial.begin(115200);
  delay(333);
  //
  Wire.begin();
  LCDisplayI2C.Init();
  LCDisplayI2C.BacklightOn();
  delay(333);
  Serial.println("\r\n*** Esp32LCDisplayI2C");  
  //                  01234567890123456789
  LCDisplayI2C.SetCursor(0, 0);
  LCDisplayI2C.print(" Esp32LCDisplayI2C  ");
  LCDisplayI2C.SetCursor(1, 0);
  LCDisplayI2C.print(" 02V02              ");
  LCDisplayI2C.SetCursor(2, 0);
  LCDisplayI2C.print(" 2207152010         ");
  LCDisplayI2C.SetCursor(3, 0);
  LCDisplayI2C.print(" OMdevelop          ");
  delay(6000);
}

void loop() 
{
  LCDisplayI2C.Clear();
  delay(2000);
  LCDisplayI2C.SetCursor(0, 0);
  LCDisplayI2C.print("Hello World!");
  LCDisplayI2C.SetCursor(1, 1);
  LCDisplayI2C.print("Hello World!");
  LCDisplayI2C.SetCursor(2, 2);
  LCDisplayI2C.print("Hello World!");
  LCDisplayI2C.SetCursor(3, 3);
  LCDisplayI2C.print("Hello World!");
  delay(2000);
}  